import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter/material.dart';

class SamplePlugin extends StatelessWidget {
  const SamplePlugin({Key? key}) : super(key: key);
  static const MethodChannel _channel = MethodChannel('sampleplugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      color: Colors.amber,
      width: 200,
      height: 200,
      child: Center(
        child: Text(
          "Hi",
          style: TextStyle(fontSize: 32),
        ),
      ),
    );
  }
}
